%global _empty_manifest_terminate_build 0
Name:           python-chardet
Version:        5.0.0
Release:        2
Summary:        Universal encoding detector for Python 2 and 3
License:        LGPL-2.1-only
URL:            https://github.com/chardet/chardet
Source0:        https://files.pythonhosted.org/packages/source/c/chardet/chardet-%{version}.tar.gz
BuildArch:      noarch
%description
Universal encoding detector for Python 2 and 3

%package -n python3-chardet
Summary:        Universal encoding detector for Python 2 and 3
Provides:       python-chardet
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pytest
%description -n python3-chardet
Universal encoding detector for Python 2 and 3

%package help
Summary:        Universal encoding detector for Python 2 and 3
Provides:       python3-chardet-doc
%description help
Universal encoding detector for Python 2 and 3

%prep
%autosetup -n chardet-%{version} -S git

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} -m pytest -v

%files -n python3-chardet -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Feb 08 2023 zhuofeng <zhuofeng2@huawei.com> - 5.0.0-2
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:make the test check

* Sat Oct 29 2022 zhuofeng <zhuofeng2@huawei.com> - 5.0.0-1
- update to 5.0.0 

* Tue Oct 25 2022 zhangruifang <zhangruifang1@h-partners.com> - 4.0.0-2
- Rebuild for next release

* Wed Jul 14 2021 OpenStack_SIG <openstack@openeuler.org> - 4.0.0-1
- Package Spec generate
